Gecode::VarImpDisposerBase Class Reference
Functionality by programming task » Programming variables

Base class for Variable type disposer. More...

`#include <core.hpp>`

## Public Member Functions

virtual void | dispose (Space &home, VarImpBase *x)
| Dispose list of variable implementations starting at x.
virtual | ~VarImpDisposerBase (void)
| Destructor (not used).

## Detailed Description

Base class for Variable type disposer.

Controls disposal of variable implementations.

Definition at line 180 of file core.hpp.

## Constructor & Destructor Documentation

## ~VarImpDisposerBase()

Gecode::VarImpDisposerBase::~VarImpDisposerBase | ( | void |  | ) |

virtual

Destructor (not used).

Definition at line 49 of file core.cpp.

## Member Function Documentation

## dispose()

void Gecode::VarImpDisposerBase::dispose | ( | Space & | home,
|  | VarImpBase * | x )

virtual

Dispose list of variable implementations starting at x.

Reimplemented in Gecode::VarImpDisposer< VarImp >.

Definition at line 47 of file core.cpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/core.cpp